<!DOCTYPE html>
<html>
<head>
    <title>VPN box</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f0f0f0;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .container {
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            width: 300px;
        }
        .header {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .header img {
            width: 40px;
            height: 40px;
            margin-right: 10px;
        }
        h1 {
            text-align: center;
            color: #333;
            margin: 0;
        }
        form {
            display: flex;
            flex-direction: column;
        }
        label {
            margin-bottom: 8px;
            color: #555;
        }
        input[type="text"] {
            padding: 10px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        input[type="submit"] {
            padding: 10px;
            border: none;
            border-radius: 4px;
            color: #fff;
            cursor: pointer;
            margin-bottom: 10px;
        }
        input[type="submit"].primary {
            background-color: #28a745;
        }
        input[type="submit"].primary:hover {
            background-color: #218838;
        }
        input[type="submit"].secondary {
            background-color: #007BFF;
        }
        input[type="submit"].secondary:hover {
            background-color: #0056b3;
        }
        input[type="submit"].danger {
            background-color: #dc3545;
        }
        input[type="submit"].danger:hover {
            background-color: #c82333;
        }
        .button-group {
            display: flex;
            flex-direction: column;
        }
        .warning {
            color: #dc3545;
            font-weight: normal;
            text-align: center;
            margin: 15px 0;
        }
		.basic {
            color: #118c1f;
            font-weight: normal;
            text-align: center;
            margin: 15px 0;
        }
    </style>
    <script>
        function calculateCIDR(ip) {
            const firstOctet = parseInt(ip.split('.')[0]);

            if (firstOctet >= 1 && firstOctet <= 126) {
                return '/8';
            } else if (firstOctet >= 128 && firstOctet <= 191) {
                return '/16';
            } else if (firstOctet >= 192 && firstOctet <= 223) {
                return '/24';
            } else {
                return 'Неизвестный класс IP-адреса';
            }
        }

        function updateCIDR(id) {
            const ipInput = document.getElementById(id);
            const ipParts = ipInput.value.split('/');

            let ip = ipParts[0];
            let cidr = ipParts.length === 2 ? `/${ipParts[1]}` : calculateCIDR(ip);

            const octets = ip.split('.');
            if (octets.length === 4) {
                if (cidr === '/8') {
                    octets[1] = '0';
                    octets[2] = '0';
                    octets[3] = '0';
                } else if (cidr === '/16') {
                    octets[2] = '0';
                    octets[3] = '0';
                } else if (cidr === '/24') {
                    octets[3] = '0';
                }
                ip = octets.join('.');
            }

            ipInput.value = ip + cidr;
        }

        function confirmReset() {
            return confirm('Вы точно хотите сделать сброс Tailscale? Это действие удалит все текущие маршруты и настройки Tailscale.');
        }
    </script>
	<?php
	$interface = 'eth0'; // Укажите имя сетевого интерфейса, для которого вы хотите получить MAC-адрес.

	// Выполняем команду ifconfig и получаем вывод.
	$output = shell_exec("ifconfig $interface");

	// Регулярное выражение для поиска MAC-адреса.
	$pattern = '/HWaddr\s+([0-9a-fA-F:]{17})/';

	if (preg_match($pattern, $output, $matches)) {
		$macAddress = $matches[1];
		$found = "$macAddress";
		 
	}
	?>
	
	
	
	
	
</head>
<body>
    <div class="container">
        <div class="header">
            <img src="./img/image.jpg" alt="Logo">
            <h1>VPN box</h1>
        </div>
        <form method="post" action="tailscale_control.php">
            <label for="current_route">Моя текущая сеть:</label>
            <input type="text" id="current_route" name="current_route" placeholder="192.168.110.0" onblur="updateCIDR('current_route')">
            <label for="remote_route">Удаленная сеть:</label>
            <input type="text" id="remote_route" name="remote_route" placeholder="192.168.78.0" onblur="updateCIDR('remote_route')">
            <input type="submit" value="Задать маршрут" class="primary">
        </form>
        <br><br>
        <div class="button-group">
		    <form method="post" action="tailscale_check_status.php">
                <input type="submit" value="Проверка статуса" class="secondary">
            </form>
			<form method="post" action="tailscale_show_connections.php">
                <input type="submit" value="Показать все соединения" class="secondary">
			</form>
            <form method="post" action="tailscale_remove_routes.php">
                <input type="submit" value="Сбросить все маршруты" class="secondary">
            </form>

            <form method="post" action="tailscale_update.php">
                <input type="submit" value="Обновить Tailscale" class="secondary">
            </form>
			<br>
			<form method="post" action="change_password.php">
				<label for="current_route">Изменить пароль для VPN box:</label>
				<input type="text" id="new_password" name="new_password" placeholder="Введите новый пароль" >
				<input type="submit" value="Сохранить" class="primary">
			</form>
			<br>
            <form method="post" action="tailscale_up.php" >
                <input type="submit" value="Установка Tailscale*" class="danger">
            </form>	
				
            </form>
            <form method="post" action="tailscale_remove.php" onsubmit="return confirmReset()">
                <input type="submit" value="Удалить Tailscale*" class="danger">
            </form>
            
        </div>
        <div class="warning">
            <strong>*Используйте только в локальной сети</strong> 
        </div>
		<div class="basic">
            <strong>Mac: <?php echo $found ?></strong> 
        </div>
		

    </div>
</body>
</html>





